{% extends "bases/modelo.html" %}

{% load bootstrap5 %}
{% bootstrap_css %}
{% bootstrap_javascript %}
{% load static %}




{% block conteudo %}

<div class="container">

            <div class='card my-3'>
                <div class='card-title text-center'>
                    <h5>Estatistica Animal por Bairo</h5>
                </div>
                <div class='card-body  text-center'>
                    {% if chart_animal%}
                    <img id='Chart' class="img-fluid p-1"  src="data:image/png;base64,{{chart_animal}}" alt="Matplotlib Chart">
                    {% endif %}
                </div>
            </div>


            <div class='card my-3'>
                <div class='card-title text-center'>
                    <h5>Vacina por Bairo</h5>
                </div>
                <div class='card-body text-center'>
                    {% if chart_animal %}
                    <img id='Chart' class="img-fluid p-1"  src="data:image/png;base64,{{chart_vacina}}" alt="Matplotlib Chart">
                    {% endif %}
                </div>
            </div>

            
            
            <div class='card my-3'>
                <div class='card-title text-center'>
                    <h5>Estatistica Usuarios bairo</h5>
                </div>
                <div class='card-body text-center'>
                    {% if chart_users %}
                    <img id='Chart' class="img-fluid p-1"  src="data:image/png;base64,{{chart_users}}" alt="Matplotlib Chart">
                    {% endif %}
                </div>
            </div>
            
            <div class='card my-3'>
                <div class='card-title text-center'>
                    <h5>Estatistica Especie</h5>
                </div>
                <div class='card-body text-center'>
                    {% if chart_especie %}
                    <img id='Chart' class="img-fluid p-1"  src="data:image/png;base64,{{chart_especie}}" alt="Matplotlib Chart">
                    {% endif %}
                </div>
            </div>

    

</div>

</div>
<script>
    document.addEventListener("DOMContentLoaded", function() {
        var graficos = document.getElementsByClassName('Chart');
    
        for (var i = 0; i < graficos.length; i++) {
            var chart = graficos[i];
            var tela = window.innerWidth;
    
            if (tela <= 768) { 
                chart.style.maxWidth = "300px";
            } else {
                chart.style.maxWidth = "600px";
            }
    
            window.addEventListener('resize', function() {
                tela = window.innerWidth;
                if (tela <= 768) {
                    chart.style.maxWidth = "300px";
                } else {
                    chart.style.maxWidth = "600px";
                }
            });
        }
    });
</script>
    



{%  endblock %}

{% block info %}
{%  endblock %}

{% block rodape %}
{%  endblock %} 